import vrml.*;
import vrml.node.*;
import vrml.field.*;

import java.lang.*;
import java.lang.String.*;
//------------------------------------------
// Objet  : Animation d'un pendule en Java
// Auteur : Sbastien Geunier membre du GVF
//------------------------------------------
// Classe pprog  (nom identique au fichier)
//------------------------------------------
public class pprog extends Script {
   SFRotation MaRotation ;

	//-------- initialize() 
	public void initialize() {
		MaRotation= (SFRotation) getEventOut("rotation");
	}

	//-------- shutdown() 
  	public void shutdown() {
  	}

	//-------- processEvents
	public void processEvent(Event e) {
		if(e.getName().equals("temps")) {
			ConstSFFloat LeTemps = (ConstSFFloat)e.getValue(); 
			float teta = (float) Math.sin(2*Math.PI*((double) LeTemps.getValue()));
			MaRotation.setValue(0,0,1,teta);
		}
	}
}

