import vrml.* ;
import vrml.field.* ;
import vrml.node.* ;

public class vr_bi_3 extends Script {

   private boolean stop = false;
   private Browser b;
   Node T, C, S, X, P;

   public void initialize() {
      start() ;
   }
   public void start() {
      b = this.getBrowser();
      if(b != null) {
         T = (Node)((SFNode)getField("T")).getValue();
         C = (Node)((SFNode)getField("C")).getValue();
         S = (Node)((SFNode)getField("S")).getValue();
         X = (Node)((SFNode)getField("X")).getValue();
         P = (Node)((SFNode)getField("P")).getValue();
      }
   }
   public void processEvent(Event e) {
      if (b != null) {
         if(stop) {
            b.deleteRoute(T, "fraction_changed", C, "set_fraction");
            b.deleteRoute(C, "value_changed", S, "set_diffuseColor");
            b.addRoute(T, "fraction_changed", P, "set_fraction");
            b.addRoute(P, "value_changed", X, "set_translation");
         }
         else {
            b.deleteRoute(T, "fraction_changed", P, "set_fraction");
            b.deleteRoute(P, "value_changed", X, "set_translation");
            b.addRoute(T, "fraction_changed", C, "set_fraction");
            b.addRoute(C, "value_changed", S, "set_diffuseColor");
         }
         stop = !stop ;
      }
   }
}

